/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - \
| Date:      					05/15/2005  	   		    		 |
| Revised: 					              		      	     	 	 |
| Title:  		      		  Bosnia LSMS Panel     		      	 |
| File-name: 	     			  cr1.1_dataset.do		   	     		 |
| Purpose: 				   	Creating LSMS Panel			     		 |
| Author:   Georgios A. Panos                        				     		 | 
| Contact:  gpanos@worldbank.org		      				     		 |
|           gpanos@uom.gr            	   		      		     	     	 |
\ - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */

/* - - - - - - - - - - - - - - - - - - options - - - - - - - - - - - - - - - - - - - - - */
#delimit ; 
clear; 
set more off; 
set memory 100m; 
capture log close; 
* set trace on; 
/* - - - - - - - - - - - - - - - - - - - paths - - - - - - - - - - - - - - - - - - - - - */;
local path1 C:\Bosnia_Project\DATA; 
local path2 C:\Bosnia_Project\Log-files; 
local path3 C:\Bosnia_Project\DATA\Original;  
/* - - - - - - - - - - - - - - - - - tempfiles - - - - - - - - - - - - - - - - - - - - */;
tempfile tmp1; tempfile tmp2; tempfile tmp3; tempfile tmp4;
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */;
cd "`path2'"; log using cr_dataset.log, replace; 
cd "`path3'"; 
/* - - - - - - - - - - - - - - - - - - - paths - - - - - - - - - - - - - - - - - - - - - */;
/* - - - - - - BHCFIND - FILES: Individual Level - - - - - - - - - - -*/;
use sub_abhcfind.dta, clear; drop hid;  
rename acaseid hid; lab var hid "Unique Household Identifier"; 
rename actpsid pid; lab var pid "Unique Individual Identifier"; 
rename a1_02 sex; lab var sex "Gender"; 
rename a1_03 rel_hh; lab var rel_hh "Relationship to the Head of Household"; 
rename a1_04y year_b; lab var year_b "Year of Birth"; 
rename a1_05 marital_s; lab var marital_s "Marital Status"; 
rename a1_07 spouse_id; lab var spouse_id "Spouse's ID"; 
rename a1_02b age; 
keep hid pid entity sex rel_hh year_b marital_s spouse_id weight weight_r weight_f age; 
gen wave=1; gen year=2001; sort pid; assert pid!=pid[_n+1]; save `tmp1', replace; clear; 

use bbhcfind.dta, clear; 
rename bcaseid hid; 
rename actpsid pid; 
rename b0c_09 rel_hh;  
rename b0c_10y year_b; 
rename b0c_11 marital_s;  
rename b0c_13 spouse_id; 
keep hid pid entity rel_hh year_b marital_s spouse_id weight weight_r weight_f; 
gen wave=2; gen year=2002; sort pid; capture assert pid!=pid[_n+1]; drop if pid==pid[_n+1]; save `tmp2', replace; clear; 

use cbhcfind.dta, clear; drop pid; 
rename ccaseid hid; 
rename actpsid pid; 
rename c0c_q03 sex; 
rename c0c_q14 rel_hh; 
rename c0c_q4c year_b; 
rename c0c_q15 marital_s; 
rename c0c_q16 spouse_id; 
keep hid pid entity rel_hh year_b marital_s spouse_id weight age; 
gen wave=3; gen year=2003; sort pid; capture assert pid!=pid[_n+1]; drop if missing(pid); drop if pid==pid[_n+1]; save `tmp3', replace; clear; 

use dbhcfind_bih.dta, clear;  
rename psid pid; 
rename d0c_q03 sex; 
rename d0c_q14 rel_hh; 
rename d0c_q4c year_b; 
rename d0c_q15 marital_s; 
rename d0c_q16 spouse_id; 
rename w4 weight; 
keep hid pid entity rel_hh year_b marital_s spouse_id weight; 
gen wave=4; gen year=2004; sort pid; capture assert pid!=pid[_n+1]; drop if pid==pid[_n+1]; save `tmp4', replace; clear; 

use `tmp1', clear; 
append using `tmp2'; 
append using `tmp3'; 
append using `tmp4';
drop if missing(pid); 
egen pid2=group(pid); 
sort pid2 wave; iis pid2; tis year; xtdes; 
replace sex=sex[_n-1] if wave==wave[_n-1]+1 & sex==.; 
replace sex=sex[_n+1] if wave==wave[_n-1]+1 & sex==.; 
sort pid2 year; 
save file1, replace; 
capture log close; clear; 

