/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - \
| 	Date:      			     05/15/2005  		   	   |
| 	Revised: 					                     |
| 	Title:  		    	 Bosnia LSMS Panel	         |
| 	File-name: 	     		 cr1.3_dataset.do		         |
| 	Purpose: 		  	Creating LSMS Panel		   |
| 	Author:   Georgios A. Panos                       	   |
| 	Contact:  gpanos@worldbank.org			   	   |
|          	    gpanos@uom.gr          		   	   	   |
\ - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */ 

/* - - - - - - - - - - - - - - - - - - options - - - - - - - - - - - - - - - - - - - - - */
#delimit ; 
clear; 
set more off; 
set memory 100m; 
capture log close; 
* set trace on; 
/* - - - - - - - - - - - - - - - - - - - paths - - - - - - - - - - - - - - - - - - - - - */;
local path1 C:\Bosnia_Project\DATA; 
local path2 C:\Bosnia_Project\Log-files;  
local path3 C:\Bosnia_Project\DATA\Original;  
/* - - - - - - - - - - - - - - - - - tempfiles - - - - - - - - - - - - - - - - - - - - */;
tempfile tmp1; tempfile tmp2; tempfile tmp3; tempfile tmp4; 	
/* - - - - - - - - BHIIND - FILES: Individual Level - - - - - - - - - - -*/;
cd "`path2'"; log using cr_dataset.log, append; 
cd "`path3'"; 
use sub_abhiind.dta, clear; drop hid; 
rename acaseid hid; rename actpsid pid; rename a3_14a educlev; rename a3_14b educgrade; rename a3_15 educprof;
rename a3_16 edupdipl; rename a3_27 student; rename a4a_03 h_insurd; rename a4a_04 h_cronic;
rename a4a_05a disease1; rename a4a_05b disease2; rename a4a_05c disease3; rename a4a_12 adfemale; rename a4a_54 h_hospi;
rename a4a_55 h_hdays; rename a4b_02 h_limit1;rename a4b_03 h_limit2; rename a4b_04 h_limit3; rename a4b_05 h_limit4;
rename a4b_06 h_limit5; rename a4b_07 h_limit6; rename a4b_08 h_smoker; rename a4b_09 h_mental1; rename a4b_10 h_mental2;
rename a4b_11 h_mental3; rename a4b_12 h_mental4; rename a4b_13 h_mental5; rename a4b_14 h_mental6; rename a4b_15 h_mental7;
rename a4b_16 h_mental8;  rename a4b_17 h_mental9; rename a4b_18 h_mental10; rename a4b_19 h_mental11; rename a4b_20 h_mental12;
rename a4b_21 h_mental13; rename a4b_22 h_mental14; rename a4b_23 h_mental15; rename a4b_24 h_mental16; rename a5_03 jbactiv;
rename a5_04 jbwkdid1; rename a5_05 jbwkdid2; rename a5_06 jbwkdid3; rename a5_07 jbwkdid4; rename a5_08 jbsoc; rename a5_09 jbsic;
rename a5_10 jbstat; rename a5_11 jbboss; rename a5_12 jbhow; rename a5_13 jbnuempl; rename a5_14 jbplace; rename a5_15 jbtime;
rename a5_16 jbstat_l; rename a5_17 jbhoursu; rename a5_18 jbhourwhy; rename a5_19 jbhourslt; rename a5_20a jbpaid;
rename a5_20b jbhinsur; rename a5_20c jbpensins; rename a5_21 jbwageu; rename a5_22 jbwagelt; rename a5_23m jblwagelt1;
rename a5_23y jblwagelt2; rename a5_24m jblwagelt3; rename a5_24y jblwagelt4; rename a5_25 jbcash1; rename a5_26 jbcash2;
rename a5_27 jbhas_2; rename a5_28 jbtype_2; rename a5_29 jbstat_2; rename a5_30 jbhours2_2; rename a5_31 jbsoc_2;
rename a5_32 jbsic_2; rename a5_33 jbltwy_u; rename a5_34 jbreason_u; rename a5_35 jbsocl_u; rename a5_36 jbindl_u;
rename a5_37 jbstatl_u; rename a5_38 jbtry_u; rename a5_39 jbwants2_u; rename a5_40 jbnolook_u; rename a5_41 jblong_u;
rename a5_42 jbshow1_u; rename a5_43 jbavail_u; rename a5_44 jbwhynot_u; rename a5_45 jb_regist_u; rename a5_46a jbunben_u;
rename a5_46b jbhins_u; rename a5_46c jbpins_u; rename a6_03a fcloan1; rename a6_03b fcloan2; rename a6_03c fcloan3; rename a6_03d fcloan4;
rename a6_03e fcloan5; rename a6_03f fcloan6; rename a6_04 fcamt1; rename a6_05 fcown; rename a6_06m fcmonth; rename a6_06y fcyear; 
rename a6_07 fcplace; rename a6_08 fcreason; rename a6_09 fcamt2; rename a6_10 fcrejct1; rename a6_11 fcrejct2; rename a6_12 fcrejct3;
rename a6_13a fcno1; rename a6_13b fcno2; rename a6_13c fcno3; rename a9_3a1 swoldpen_r; rename a9_3a2 swoldpen_a; 
rename a9_3b1 swinvpen_r; rename a9_3b2 swinvpen_a; rename a9_3c1 swsurpen_r; rename a9_3c2 swsurpen_a; rename a9_3d1 swmilpen_r;
rename a9_3d2 swmilpen_a; rename a9_3d3 swperc ; rename a9_4a swperma; rename a9_4b swtempa; rename a9_4c swcarra;
rename a9_05 swtotal; rename a9_06 swreceiv; rename a8_03 rural; rename a8_04 moved; rename a8_05 res_bw; rename a8_06a muni_bw;
rename a8_06b seti_bw; rename a8_07 rural_bw; rename a8_08 moveres; rename a4a_20 gyneca; rename a8_09 restat; 
keep hid pid entity educlev educgrade educprof edupdipl student h_insurd h_cronic disease1 disease2 disease3 adfemale
	h_hospi h_hdays h_limit1 h_limit2 h_limit3 h_limit4 h_limit5 h_limit6 h_smoker h_mental1 h_mental2 h_mental3 h_mental4
	h_mental5 h_mental6 h_mental7 h_mental8 h_mental9 h_mental10 h_mental11 h_mental12 h_mental13 h_mental14 h_mental15 
	h_mental16 jbactiv jbwkdid1 jbwkdid2 jbwkdid3 jbwkdid4 jbsoc jbsic jbstat jbboss jbhow jbnuempl jbplace jbtime jbstat_l
	jbhoursu jbhourwhy jbhourslt jbpaid jbhinsur jbpensins jbwageu jbwagelt jblwagelt1 jblwagelt2 jblwagelt3 jblwagelt4
	jbcash1 jbcash2 jbhas_2 jbtype_2 jbstat_2 jbhours2_2 jbsoc_2 jbsic_2 jbltwy_u jbreason_u jbsocl_u jbindl_u jbstatl_u
	jbtry_u jbwants2_u jbnolook_u jblong_u jbshow1_u jbavail_u jbwhynot_u jb_regist_u jbunben_u jbhins_u jbpins_u fcloan1
	fcloan2 fcloan3 fcloan4 fcloan5 fcloan6 fcamt1 fcown fcmonth fcyear fcplace fcreason fcamt2 fcrejct1 fcrejct2 fcrejct3 
	fcno1 fcno2 fcno3 swoldpen_r swoldpen_a swinvpen_r swinvpen_a swsurpen_r swsurpen_a swmilpen_r swmilpen_a swperc gyneca
	swperma swtempa swcarra swtotal swreceiv rural moved res_bw muni_bw seti_bw rural_bw moveres weight weight_r weight_f restat; 
gen wave=1; gen year=2001; sort pid; capture assert pid!=pid[_n+1]; drop if missing(pid); drop if pid==pid[_n+1]; 
save `tmp1', replace; clear; 

use bbhiind.dta, clear;    
rename bcaseid hid; rename actpsid pid; rename b1_03y year_b2; rename bpno plhid; 
rename b3_03 marital_s2; rename b3_04 marital_l; rename b3_06 num_marid; rename b3_08 had_kids; 
rename b3_09 num_kids; rename b3_10y year_bokid; rename b3_11 jbstat_0; rename b3_11a jbtitl_0; 
rename b3_11b jbsic_0; rename	b3_11oc jbsoc_0; rename	b3_12 jbsemp_0; rename b3_13 jbbos_0; 
rename b3_14 jbman_0; rename b3_22 training; rename b3_29a educlev; rename b3_29b educgrade; rename b3_30 educprof; 
rename b3_31 edupdipl; rename	b3_15 student; rename b4_01 sjhealth; rename b4_02 h_insurd; 
rename b4_03 h_cronic; rename	b4_04a disease1; rename b4_04b disease2; rename b4_04c disease3; 
rename b4_07 adfemale; rename	b4_25 h_hospi; rename b4_26 h_hdays; rename b4_32 h_sjcomp; 
rename b4_33 h_smoker; rename b4_34 h_agesmk; rename b4_35 h_disabled; rename b4_36 y_typedis; 
rename b4_37 y_timedis; rename b5_52 jbactiv; rename b5_01 jbwkdid1; rename b5_02 jbwkdid2; 
rename b5_03 jbwkdid3; rename	b5_04 jbwkdid4; rename b5_05oc jbsoc; rename b5_06oc jbocc2; 
rename b5_07 jbstat; rename b5_08 jbboss; rename b5_19 jbhow; rename b5_09 jbnuempl; 
rename b5_10 jbplace; rename b5_20 jbtime; rename b5_21 jbstat_l; rename b5_22 jbdist1; 
rename b5_23 jbdist2; rename b5_11 jbhoursu; rename b5_12 jbhourwhy; rename b5_13 jbhourslt; 
rename b5_14a jbpaid; rename b5_14b jbhinsur; rename b5_14c	jbpensins; rename b5_15 jbwageu; 
rename b5_16 jbwagelt; rename	b5_17m jblwagelt1; rename b5_17y jblwagelt2; rename b5_18m jblwagelt3; 
rename b5_18y jblwagelt4; rename b5_24 jbhas_2; rename b5_25 jbmore_2; rename b5_26 jbhours_2; 
rename b5_27 jbearn_2; rename	b5_28 jbtype_2; rename b5_29 jbstat_2; rename b5_30 jbhours2_2; 
rename b5_31oc jbsoc_2; rename b5_32oc jbsic_2; rename b5_33 jbearn2_2; rename b5_34 jbearnlt_2; 
rename b5_35m jblwagelt1_2; rename b5_35y jblwagelt1_3; rename b5_36m jblwagelt1_4; 
rename b5_36y jblwagelt1_5; rename b5_38m jbltwm_u; rename	b5_38y jbltwy_u; 
rename b5_39 jbreason_u; rename b5_40oc jbsocl_u; rename b5_41 jboccl3_u; rename b5_41oc jbindl_u; 
rename b5_42 jbstatl_u; rename b5_43 jbtry_u; rename	b5_44	jbwants2_u; rename b5_45 jbnolook_u; 
rename b5_46 jblong_u; rename	b5_47a jbshow1_u; rename b5_47b jbshow2_u; rename b5_47c jbshow3_u; 
rename b5_47d jbshow4_u; rename b5_48 jbavail_u; rename b5_49 jbwhynot_u; rename b5_50 jb_regist_u; 
rename b5_51 jbhins_u; rename	b5_53m jbdurm_u; rename b5_53y jbdury_u; rename	b7_01	swisreg; 
rename b7_02a swben1; rename	b7_02b swben2; rename b7_02c swben3; rename b7_02d swben4; 
rename b7_08 swoldpen_r; rename b7_09 swoldpen_a; rename b7_10 swinvpen_r; rename b7_11 swinvpen_a; 
rename b7_06 swsurpen_r; rename b7_07 swsurpen_a; rename b7_03 swmilpen_r; rename b7_04 swmilpen_a; 
rename b7_05 swperc ; rename b7_14 swperma; rename b7_15 swtempa; rename b7_16 swcarra; 
rename b7_12 swvictim_r; rename b7_13 swvictim_a; rename b7_17 swchild_a; rename b7_18 fcfriends1_r; 
rename b7_19 fcfriends1_a; rename b7_20 fcfriends2_r; rename b7_21 fcfriends2_a; 
rename b7_22 fccharity_r; rename b7_23 fccharity_a ; rename b7_24 fisit; rename b7_25 fisitc; 
rename b7_26 fisitres; rename b7_27 fisitx; rename b8_04 rural; rename b8_05 moved; 
rename b8_06 res_bw; rename b8_07 mun_bw; rename b8_07oc muni_bw; rename b8_08 rural_bw; 
rename b8_09 moveres; rename b9_03 sssat; rename b9_13 hlthsat; rename b9_14 hhincsat; 
rename b9_15 housat; rename b9_16 spousesat; rename b9_17 jobsat; rename b9_18 soclifsat; 
rename b9_19 lesamtsat; rename b9_20 leshowsat; rename b9_21 lifesat; rename b9_22 lifagosat; 
rename b9_23 fairweal; rename b9_24 onelaw; rename  b9_25 livprov; rename b9_26 worklaw; 
rename b9_27 ethnic2; rename b1_03d day_b2; rename b1_03m month_b2; 
rename b1_04 age2; rename b4_08 gyneca; rename b3_20 new_school1; rename b3_21 new_school2; 	rename b8_10	restat; rename b8_17 hous_change; 
keep hid pid entity year_b2 marital_s2 marital_l num_marid had_kids num_kids year_bokid jbstat_0	
	jbtitl_0 jbsic_0 jbsoc_0 jbsemp_0 jbbos_0 jbman_0 educlev educgrade educprof edupdipl	
	student sjhealth h_insurd h_cronic disease1 disease2 disease3 adfemale h_hospi h_hdays	
	h_sjcomp h_smoker h_agesmk h_disabled y_typedis	y_timedis jbactiv jbwkdid1 jbwkdid2 jbwkdid3	
	jbwkdid4 jbsoc jbocc2 jbstat jbboss jbhow jbnuempl jbplace jbtime jbstat_l jbdist1	
	jbdist2 jbhoursu jbhourwhy jbhourslt jbpaid jbhinsur jbpensins jbwageu jbwagelt jblwagelt1	
	jblwagelt2 jblwagelt3 jblwagelt4 jbhas_2 jbmore_2 jbhours_2 jbearn_2 jbtype_2 jbstat_2 jbhours2_2	
	jbsoc_2 jbsic_2 jbearn2_2 jbearnlt_2 jblwagelt1_2 jblwagelt1_3 jblwagelt1_4 jblwagelt1_5	
	jbltwm_u jbltwy_u jbreason_u jbsocl_u jboccl3_u jbindl_u jbstatl_u jbtry_u jbwants2_u jbnolook_u	
	jblong_u jbshow1_u jbshow2_u jbshow3_u jbshow4_u jbavail_u jbwhynot_u jb_regist_u jbhins_u jbdurm_u	
	jbdury_u swisreg swben1	swben2 swben3 swben4 swoldpen_r swoldpen_a swinvpen_r swinvpen_a	
	swsurpen_r swsurpen_a swmilpen_r swmilpen_a swperc swperma swtempa swcarra swvictim_r swvictim_a	
	swchild_a fcfriends1_r fcfriends1_a fcfriends2_r fcfriends2_a fccharity_r fccharity_a fisit fisitc	
	fisitres fisitx rural moved res_bw mun_bw muni_bw rural_bw moveres sssat hlthsat hhincsat	
	housat spousesat jobsat	soclifsat lesamtsat leshowsat lifesat lifagosat fairweal onelaw	
	livprov worklaw ethnic2 weight weight_r weight_f day_b2 month_b2 age2 gyneca new_school1 
	new_school2 restat plhid hous_change training; 
gen wave=2; gen year=2002; sort pid; assert pid!=pid[_n+1]; save `tmp2', replace; clear; 

use cbhiind.dta, clear;   
rename ccaseid hid; rename actpsid pid; rename cpno plhid; 
rename c1_q3c year_b2; rename	c1_sex sex2; rename c3_q03 marital_s2; 
rename c3_q04 marital_l; rename c3_q07 num_marid; rename c3_q09 had_kids; 
rename c3_q10 num_kids; rename c3_q11b year_bokid; rename c3_q12a	jbstat_0; 
rename c3_q12b jbtitl_0; rename c3_q12c jbsic_0; rename c3_q12d jbsoc_0; 
rename c3_q13 jbsemp_0; rename c3_q14 jbbos_0; rename	c3_q15 jbman_0; 
rename c3_q18a educlev; rename c3_q18b educgrade; rename c3_q19 educprof; 
rename c3_q20 edupdipl; rename c3_q21 ethnic; rename c3_q22	student; 
rename c4_q01 sjhealth; rename c4_q02 h_insurd; rename c4_q03 h_cronic; 
rename c4_q4a disease1; rename c4_q4b disease2; rename c4_q4c disease3; 
rename c4_q07 adfemale; rename c4_q25 h_hospi; rename	c4_q26 h_hdays; 
rename c4_q32 h_sjcomp; rename c4_q38 h_limit1; rename c4_q39 h_limit3; 
rename c4_q40 h_limit5; rename c4_q33 h_smoker; rename c4_q34 h_agesmk; 
rename c4_q35 h_disabled; rename c4_q36 h_typedis; rename c4_q37 h_timedis; 
rename c4_q41 h_mental1; rename c4_q42 h_mental2; rename c4_q43 h_mental5; 
rename c4_q44 h_mental6; rename c4_q45 h_mental7; rename c4_q46 h_mental11; 
rename c4_q47 h_mental13; rename c4_q48 h_mental15; rename c5_q59	jbactiv; 
rename c5_q01 jbwkdid1; rename c5_q02 jbwkdid2; rename c5_q03 jbwkdid3; 
rename c5_q04 jbwkdid4; rename c5_q5a jbsoc; rename c5_q5b jbsic; 
rename c5_q5c jbocc1; rename c5_q6a jbocc2; rename c5_q6b jbocc3; 
rename c5_q07 jbstat; rename c5_q08 jbboss; rename c5_q19 jbhow; 
rename c5_q09 jbnuempl; rename c5_q10 jbplace; rename	c5_q20 jbtime;  
rename c5_q21 jbstat_l; rename c5_q22 jbdist1; rename	c5_q23 jbdist2; 
rename c5_q11 jbhoursu; rename c5_q12 jbhourwhy; rename c5_q13 jbhourslt; 
rename c5_q14a jbpaid; rename	c5_q14b jbhinsur; rename c5_q14c jbpensins; 
rename c5_q15 jbwageu; rename	c5_q16 jbwagelt; rename	c5_q17a jblwagelt1; 
rename c5_q17b jblwagelt2; rename c5_q18a jblwagelt3; rename c5_q18b jblwagelt4; 
rename c5_q24 jbhas_2; rename	c5_q25 jbmore_2; rename c5_q26 jbhours_2; 
rename c5_q27 jbearn_2; rename c5_q28 jbtype_2; rename c5_q29 jbstat_2; 
rename c5_q30 jbhours2_2; rename c5_q31a jbsoc_2; rename c5_q31b jbocc1_2; 
rename c5_q32a jbsic_2; rename c5_q32b jbocc2_2; rename c5_q33 jbearn2_2; 
rename c5_q34 jbearnlt_2; rename c5_q35a jblwagelt1_2; rename c5_q35b jblwagelt1_3; 
rename c5_q36a jblwagelt1_4; rename c5_q36b jblwagelt1_5; rename c5_q38a jbltwm_u; 
rename c5_q38b jbltwy_u; rename c5_q39 jbreason_u; rename c5_q40a	jbsocl_u; 
rename c5_q40b jboccl1_u; rename c5_q40c jboccl2_u; rename c5_q41a jboccl3_u; 
rename c5_q41b jbindl_u; rename c5_q42 jbstatl_u; rename c5_q43 jbsearch_u; 
rename c5_q44 jbwants_u; rename c5_q45 jbprob_u; rename c5_q46 jbtry_u; 
rename c5_q47 jbwants2_u; rename c5_q48 jbnolook_u; rename c5_q49 jblong_u; 
rename c5_q50 jbprob2_u; rename c5_q51a jbshow1_u; rename c5_q51b jbshow2_u; 
rename c5_q51c jbshow3_u; rename c5_q51d jbshow4_u; rename c5_q52 jbavail_u; 
rename c5_q53 jbwhynot_u; rename c5_q54 jb_regist_u; rename	c5_q57 jbunben_u; 
rename c5_q55 jbhins_u; rename c5_q56 jbpins_u; rename c5_q58 jbunamt_u; 
rename c5_q60a jbdurm_u; rename c5_q60b jbdury_u; rename c7_q28 fcrecent; 
rename c7_q29 fcamt1; rename c7_q30 fcown; rename c7_q31a fcmonth; 
rename c7_q31b fcyear; rename	c7_q32 fcplace; rename c7_q33	fcamt2; 
rename c7_q34 fcrejct1; rename c7_q35 fcrejct2; rename c7_q36a fcno1; 
rename c7_q36b fcno2; rename c7_q36c fcno3; rename c7_q01 swisreg; 
rename c7_q2a swben1; rename c7_q2b swben2; rename c7_q2c swben3; 
rename c7_q2d swben4; rename c7_q08 swoldpen_r; rename c7_q09 swoldpen_a; 
rename c7_q10 swinvpen_r; rename c7_q11 swinvpen_a; rename c7_q06	swsurpen_r; 
rename c7_q07 swsurpen_a; rename c7_q03 swmilpen_r; rename c7_q04	swmilpen_a; 
rename c7_q05 swperc ; rename	c7_q14 swperma; rename	c7_q15 swtempa; 
rename c7_q16 swcarra; rename	c7_q12 swvictim_r; rename c7_q13 swvictim_a; 
rename c7_q17 swchild_a; rename c7_q18 fcfriends1_r; rename c7_q19 fcfriends1_a; 
rename c7_q20 fcfriends2_r; rename c7_q21 fcfriends2_a; rename c7_q22 fccharity_r; 
rename c7_q23 fccharity_a; rename c7_q24 fisit; rename c7_q25 fisitc; 
rename c7_q26 fisitres; rename c7_q27 fisitx; rename c8_q04 rural; 
rename c8_q05 moved; rename c8_q06 res_bw; rename c8_q7a mun_bw; 
rename c8_q7b muni_bw; rename	c8_q08 rural_bw; rename	c8_q09 moveres; 
rename c9_q01 hlthsat; rename	c9_q07 hhincsat; rename	c9_q08 housat; 
rename c9_q09 spousesat; rename c9_q05 jobsat; rename	c9_q02 soclifsat; 
rename c9_q03 lesamtsat; rename c9_q04 leshowsat; rename c9_q10 famsat; 
rename c9_q11 educsat; rename	c9_q12 lifesat; rename c9_q13	lifagosat; 
rename c9_q23 fairweal; rename c9_q24 onelaw; rename c9_q25	livprov; 
rename c9_q26 worklaw; rename	c9_q14 soccptl1; rename	c9_q15 soccptl2; 
rename w3final weight; rename	c1_q3a day_b2; rename c1_q3b month_b2; rename c8_q10 restat; 
rename c1_q04 age2; rename c4_q08 gyneca; rename c3_q27 new_school1; rename c3_q28 new_school2; rename c8_q17 hous_change; 	
keep hid pid entity year_b2 sex2 marital_s2 marital_l num_marid had_kids num_kids year_bokid jbstat_0 jbtitl_0 jbsic_0 
	jbsoc_0 jbsemp_0 jbbos_0 jbman_0 educlev educgrade educprof edupdipl ethnic student sjhealth h_insurd	h_cronic 
	disease1 disease2 disease3 adfemale	h_hospi h_hdays h_sjcomp h_limit1 h_limit3 h_limit5 h_smoker h_agesmk h_disabled 
	h_typedis h_timedis h_mental1 h_mental2 h_mental5 h_mental6 h_mental7 h_mental11 h_mental13 h_mental15 jbactiv	
	jbwkdid1 jbwkdid2	jbwkdid3 jbwkdid4 jbsoc jbsic jbocc1 jbocc2 jbocc3 jbstat jbboss jbhow jbnuempl jbplace jbtime 
	jbstat_l jbdist1 jbdist2 jbhoursu jbhourwhy jbhourslt jbpaid jbhinsur jbpensins jbwageu jbwagelt jblwagelt1	jblwagelt2 
	jblwagelt3 jblwagelt4 jbhas_2 jbmore_2 jbhours_2 jbearn_2 jbtype_2 jbstat_2 jbhours2_2 jbsoc_2 jbocc1_2 jbsic_2 
	jbocc2_2 jbearn2_2 jbearnlt_2 jblwagelt1_2 jblwagelt1_3 jblwagelt1_4 jblwagelt1_5 jbltwm_u jbltwy_u jbreason_u 
	jbsocl_u jboccl1_u jboccl2_u jboccl3_u jbindl_u jbstatl_u jbsearch_u jbwants_u jbprob_u jbtry_u jbwants2_u jbnolook_u 
	jblong_u jbprob2_u jbshow1_u jbshow2_u jbshow3_u jbshow4_u jbavail_u jbwhynot_u jb_regist_u jbunben_u jbhins_u 
	jbpins_u jbunamt_u jbdurm_u jbdury_u fcrecent fcamt1 fcown fcmonth fcyear fcplace fcamt2 fcrejct1 fcrejct2 fcno1 fcno2 
	fcno3 swisreg swben1 swben2 swben3 swben4 swoldpen_r swoldpen_a swinvpen_r swinvpen_a swsurpen_r swsurpen_a swmilpen_r	
	swmilpen_a swperc swperma swtempa swcarra	swvictim_r swvictim_a swchild_a fcfriends1_r fcfriends1_a fcfriends2_r 
	fcfriends2_a fccharity_r fccharity_a fisit fisitc fisitres fisitx rural moved res_bw mun_bw muni_bw rural_bw moveres 
	hlthsat hhincsat housat spousesat jobsat soclifsat lesamtsat leshowsat famsat educsat lifesat lifagosat fairweal 
	onelaw livprov worklaw soccptl1 soccptl2 weight w3fcorr w3fin2 day_b2 month_b2 age2 gyneca new_school1 new_school2 restat plhid hous_change; 
gen wave=3; gen year=2003; sort pid; capture assert pid!=pid[_n+1]; drop if missing(pid); drop if pid==pid[_n+1]; 
save `tmp3', replace; clear; 

use `tmp1', clear; 
append using `tmp2'; 
sort pid wave; replace year_b2=year_b2[_n+1] if pid==pid[_n+1] & year_b2==.; 
replace month_b2=month_b2[_n+1] if pid==pid[_n+1] & month_b2==.; 
replace day_b2=day_b2[_n+1] if pid==pid[_n+1] & day_b2==.; 
append using `tmp3'; 
save file3, replace; clear; 

*** Adding pid to file for Wave 4; 
use dbhcfind_bih.dta, clear;
keep psid hid dpno; rename psid pid; sort hid dpno; gen wave=4; gen year=2004; 
save `tmp1', replace; clear;  

use dbhiind_bih.dta, clear;  
rename d1_q3c year_b2; rename	d1_sex sex2; 
rename d3_q03 marital_s2; rename d3_q04 marital_l; rename d3_q07 num_marid; 
rename d3_q09 had_kids; rename d3_q10 num_kids; rename d3_q11b year_bokid; 
rename d3_q12a jbstat_0; rename d3_q12b jbtitl_0; rename d3_q12c jbsic_0; 
rename d3_q12d jbsoc_0; rename d3_q13 jbsemp_0; rename d3_q14 jbbos_0; 
rename d3_q15 jbman_0; rename	d3_q18a educlev; rename	d3_q18b educgrade; 
rename d3_q19 educprof; rename d3_q20 edupdipl; rename d3_q21 ethnic; 
rename d3_q22 student; rename	d4_q01 sjhealth; rename	d4_q02 h_insurd; 
rename d4_q03 h_cronic; rename d4_q4a disease1; rename d4_q4b disease2; 
rename d4_q4c disease3; rename d4_q07 adfemale; rename d4_q25 h_hospi; 
rename d4_q26 h_hdays; rename	d4_q32 h_sjcomp; rename	d4_q38 h_limit1; 
rename d4_q39 h_limit3; rename d4_q40 h_limit5; rename d4_q33 h_smoker; 
rename d4_q34 h_agesmk; rename d4_q35 h_disabled; rename d4_q36 y_typedis; 
rename d4_q37 y_timedis; rename d4_q41 h_mental1; rename d4_q42 h_mental2; 
rename d4_q43 h_mental5; rename d4_q44 h_mental6; rename d4_q45 h_mental7; 
rename d4_q46 h_mental11; rename d4_q47 h_mental13; rename d4_q48 h_mental15; 
rename d5_q59 jbactiv; rename	d5_q01 jbwkdid1; rename	d5_q02 jbwkdid2; 
rename d5_q03 jbwkdid3; rename d5_q04 jbwkdid4; rename d5_q5a jbsoc; 
rename d5_q5b jbsic; rename d5_q5c jbocc1; rename d5_q6a jbocc2; 
rename d5_q6b jbocc3; rename d5_q07 jbstat; rename d5_q08 jbboss; 
rename d5_q19 jbhow; rename d5_q09 jbnuempl; rename d5_q10 jbplace; 
rename d5_q20 jbtime; rename d5_q21	jbstat_l; rename d5_q22 jbdist1; 
rename d5_q23 jbdist2; rename	d5_q11 jbhoursu; rename	d5_q12 jbhourwhy; 
rename d5_q13 jbhourslt; rename d5_q14a jbpaid; rename d5_q14b jbhinsur; 
rename d5_q14c jbpensins; rename d5_q15 jbwageu; rename d5_q16 jbwagelt; 
rename d5_q17a jblwagelt1; rename d5_q17b	jblwagelt2; rename d5_q18a jblwagelt3; 
rename d5_q18b jblwagelt4; rename d5_q24 jbhas_2; rename d5_q25 jbmore_2; 
rename d5_q26 jbhours_2; rename d5_q27 jbearn_2; rename d5_q28 jbtype_2; 
rename d5_q29 jbstat_2; rename d5_q30 jbhours2_2; rename d5_q31a jbsoc_2; 
rename d5_q31b jbocc1_2; rename d5_q32a jbsic_2; rename d5_q32b jbocc2_2; 
rename d5_q33 jbearn2_2; rename d5_q34 jbearnlt_2; rename d5_q35a	jblwagelt1_2; 
rename d5_q35b jblwagelt1_3; rename	d5_q36a jblwagelt1_4; rename d5_q36b jblwagelt1_5; 
rename d5_q38a jbltwm_u; rename d5_q38b jbltwy_u; rename d5_q39 jbreason_u; 
rename d5_q40a jbsocl_u; rename d5_q40b jboccl1_u; rename d5_q40c jboccl2_u; 
rename d5_q41a jboccl3_u; rename d5_q41b jbindl_u; rename d5_q42 jbstatl_u; 
rename d5_q43 jbsearch_u; rename d5_q44 jbwants_u; rename d5_q45 jbprob_u; 
rename d5_q46 jbtry_u; rename	d5_q47 jbwants2_u	; rename d5_q48 jbnolook_u; 
rename d5_q49 jblong_u; rename d5_q50 jbprob2_u	; rename d5_q51a jbshow1_u; 
rename d5_q51b jbshow2_u; rename d5_q51c jbshow3_u; rename d5_q51d jbshow4_u; 
rename d5_q52 jbavail_u; rename d5_q53 jbwhynot_u; rename d5_q54 jb_regist_u; 
rename d5_q55 jbunben_u; rename d5_q56 jbhins_u	; rename d5_q57 jbpins_u; 
rename d5_q58 jbunamt_u; rename d5_q60a jbdurm_u; rename d5_q60b jbdury_u; 
rename d7_q31 fcrecent; rename d7_q32 fcamt1; rename	d7_q33 fcown; 
rename d7_q34a fcmonth; rename d7_q34b fcyear;  rename d7_q35 fcplace; 
rename d7_q36 fcamt2; rename d7_q37	fcrejct1; rename d7_q38	fcrejct2; 
rename d7_q39a fcno1; rename d7_q39b fcno2; rename d7_q39c fcno3; rename d7_q01 swisreg; 
rename d7_q2a swben1; rename d7_q2b	swben2; rename d7_q2c swben3; 
rename d7_q2d swben4; rename d7_q10	swoldpen_r; rename d7_q11 swoldpen_a; 
rename d7_q12 swinvpen_r; rename d7_q13 swinvpen_a; rename d7_q08	swsurpen_r; 
rename d7_q09 swsurpen_a; rename d7_q03 swmilpen_r; rename d7_q04	swmilpen_a; 
rename d7_q05 swwardis_r; rename d7_q06 swwardis_a; rename d7_q07	swperc; 
rename d7_q17 swperma; rename	d7_q18 swtempa; rename d7_q19	swcarra; 
rename d7_q14 swvictim_r; rename d7_q15 swvictim_a; rename d7_q16 swdislev; 
rename d7_q20 swchild_a; rename d7_q21 fcfriends1_r; rename	d7_q22 fcfriends1_a; 
rename d7_q23 fcfriends2_r; rename d7_q24	fcfriends2_a; rename d7_q25 fccharity_r; 
rename d7_q26 fccharity_a; rename d7_q27	fisit	; rename d7_q28 fisitc; 
rename d7_q29 fisitres; rename d7_q30 fisitx; rename d8_q04	rural	; 
rename d8_q05 moved; rename d8_q06 res_bw; rename d8_q7a mun_bw; 
rename d8_q7b muni_bw; rename	d8_q08 rural_bw; rename	d8_q17 moveres; 
rename d9_q03 sssat; rename d9_q13 hlthsat; rename d9_q14 hhincsat; 
rename d9_q15 housat; rename d9_q16	spousesat; rename	d9_q17 jobsat; 
rename d9_q18 soclifsat; rename d9_q19 lesamtsat; rename d9_q20 leshowsat; 
rename d9_q21 lifesat; rename	d9_q22 lifagosat; rename d9_q23 fairweal; 
rename d9_q24 onelaw; rename d9_q25	livprov; rename d9_q26 worklaw; 
rename w4 weight; rename d1_q3a day_b2; rename d1_q3b month_b2;
rename d1_q04 age2; rename d4_q08 gyneca; rename d3_q27 new_school1; rename d3_q28 new_school2; rename d8_q10 restat; rename d8_q16b hous_change; 
keep hid dpno entity year_b2 sex2 marital_s2 marital_l num_marid had_kids num_kids year_bokid jbstat_0 jbtitl_0 jbsic_0	
	jbsoc_0 jbsemp_0 jbbos_0 jbman_0 educlev educgrade educprof edupdipl ethnic student sjhealth h_insurd	h_cronic disease1	
	disease2 disease3 adfemale h_hospi h_hdays h_sjcomp h_limit1 h_limit3 h_limit5 h_smoker h_agesmk h_disabled y_typedis	
	y_timedis h_mental1 h_mental2	h_mental5 h_mental6 h_mental7 h_mental11 h_mental13 h_mental15 jbactiv jbwkdid1 jbwkdid2
	jbwkdid3 jbwkdid4	jbsoc jbsic	jbocc1 jbocc2 jbocc3 jbstat jbboss jbhow jbnuempl jbplace jbtime jbstat_l jbdist1 jbdist2 
	jbhoursu jbhourwhy jbhourslt jbpaid jbhinsur jbpensins jbwageu jbwagelt jblwagelt1	jblwagelt2 jblwagelt3 jblwagelt4 
	jbhas_2 jbmore_2 jbhours_2 jbearn_2 jbtype_2 jbstat_2 jbhours2_2 jbsoc_2 jbocc1_2 jbsic_2 jbocc2_2 jbearn2_2 jbearnlt_2 
	jblwagelt1_2 jblwagelt1_3 jblwagelt1_4 jblwagelt1_5 jbltwm_u jbltwy_u jbreason_u jbsocl_u jboccl1_u jboccl2_u jboccl3_u 
	jbindl_u jbstatl_u jbsearch_u jbwants_u jbprob_u jbtry_u jbwants2_u jbnolook_u jblong_u jbprob2_u jbshow1_u jbshow2_u 
	jbshow3_u jbshow4_u jbavail_u	jbwhynot_u jb_regist_u jbunben_u jbhins_u	jbpins_u jbunamt_u jbdurm_u jbdury_u fcrecent 
	fcamt1 fcown fcmonth fcyear fcplace fcamt2 fcrejct1 fcrejct2 fcno1 fcno2 fcno3 swisreg swben1 swben2 swben3 swben4 
	swoldpen_r swoldpen_a swinvpen_r swinvpen_a swsurpen_r swsurpen_a swmilpen_r swmilpen_a swwardis_r swwardis_a swperc 
	swperma swtempa swcarra swvictim_r swvictim_a swdislev swchild_a fcfriends1_r fcfriends1_a fcfriends2_r fcfriends2_a 
	fccharity_r fccharity_a fisit fisitc fisitres fisitx rural moved  res_bw mun_bw muni_bw rural_bw moveres sssat hlthsat 
	hhincsat housat spousesat jobsat soclifsat lesamtsat leshowsat lifesat lifagosat fairweal onelaw livprov worklaw weight 
	day_b2 month_b2 age2 gyneca new_school1 new_school2 restat hous_change; 
gen wave=4; gen year=2004; sort hid dpno; 
merge hid dpno using `tmp1'; 
tab _merge; drop _merge; 
save `tmp4', replace; clear; 

use file3.dta, clear; 
append using `tmp4';
sort pid wave; capture assert pid!=pid[_n+1]; sort hid pid wave; 
encode pid, gen(pid2); drop if pid2==.; iis pid2; tis wave; xtdes; 
save file3.dta, replace; 
capture log close; 
clear; 

