/*-------------------------------------------------\
| Date:      		05/25/2005  		   |
| Revised: 			                   	   |
| Title:  	    	  Bosnia LSMS Panel	   	   |
| File-name: 	  cr1.4_dataset.do		   |
| Purpose: 	   	Creating LSMS Panel	    	   |
|		    	 Job history files	   	   |
| Author:  Georgios A. Panos                       |
| Contact: gpanos@worldbank.org			   |
|          gpanos@uom.gr          		   	   | 
\-------------------------------------------------*/ 

/*------------------options---------------------*/
#delimit ; 
clear; 
set more off; 
set memory 100m; 
capture log close; 
* set trace on; 
/*------------------ paths ---------------------*/;
local path1 C:\Bosnia_Project\DATA; 
local path2 C:\Bosnia_Project\Log-files;  
local path3 C:\Bosnia_Project\DATA\Original;  
/*--------------- tempfiles --------------------*/;
tempfile tmp1; tempfile tmp2; tempfile tmp3; tempfile tmp4; 	

cd "`path2'"; log using cr_dataset.log, append; 
cd "`path3'"; 
*** Adding pid to file for Waves 2-4; 
use bbhcfind.dta, clear;
keep actpsid bcaseid bpno; rename actpsid pid; sort bcaseid bpno; gen wave=2; gen year=2002; 
save `tmp2', replace; clear;

use cbhcfind.dta, clear;
keep actpsid ccaseid cpno; rename actpsid pid; sort ccaseid cpno; gen wave=3; gen year=2003; 
save `tmp3', replace; clear;

use dbhcfind_bih.dta, clear;
keep psid hid dpno; rename psid pid; sort hid dpno; gen wave=4; gen year=2004; 
save `tmp4', replace; clear;  
				
/*-------------- BHJHIST - FILES: Job History of new-comers ------------------*/;
use bbhjhist.dta, clear;    
rename bspellno jbhist1;
rename b6_04 jbhist2;
rename b6_05m jbhist3;
rename b6_05y jbhist4;
rename b6_06oc jbhist5;
rename b6_07oc jbhist6;
keep bcaseid bpno jbhist1 jbhist2 jbhist3 jbhist4 jbhist5 jbhist6; 
gen wave=2; gen year=2002; sort bcaseid bpno; 
merge bcaseid bpno using `tmp2'; tab _merge; drop if _merge==2; drop _merge; 
save `tmp2', replace; clear; 

use cbhjhist.dta, clear;   
rename c6_q00 cpno; 
rename c6_q01 jbhist1; 
rename c6_q02 jbhist2; 
rename c6_q3a jbhist3; 
rename c6_q3b jbhist4; 
rename c6_q4b jbhist5; 
rename c6_q5b jbhist6; 
keep ccaseid cpno jbhist1 jbhist2 jbhist3 jbhist4 jbhist5 jbhist6; 
gen wave=3; gen year=2003; sort ccaseid cpno; 
merge ccaseid cpno using `tmp3'; tab _merge; drop if _merge==2; drop _merge; 
save `tmp3', replace; clear; 

use dbhjhist_bih.dta, clear;  
rename m6_q00 dpno; 
rename m6_q01 jbhist1;
rename m6_q02 jbhist2;
rename m6_q3a jbhist3;
rename m6_q3b jbhist4;
rename m6_q4b jbhist5;
rename m6_q5b jbhist6;
keep hid dpno jbhist1 jbhist2 jbhist3 jbhist4 jbhist5 jbhist6; 
gen wave=4; gen year=2004; sort hid dpno; 
merge hid dpno using `tmp4'; tab _merge; drop if _merge==2; drop _merge; 
save `tmp4', replace; clear; 

use `tmp2', clear; 
append using `tmp3'; 
append using `tmp4'; 
keep pid wave year jbhist1 jbhist2 jbhist3 jbhist4 jbhist5 jbhist6; 
sort pid wave;
drop if pid==pid[_n+1] & wave==wave[_n+1]; 
encode pid, gen(pid2); drop if pid2==.;  
save file_hist, replace; clear; 





