/*-------------------------------------------------\
| Date:      		05/17/2005  		   |
| Revised: 				           		   |
| Title:  	    	  Bosnia LSMS Panel	   	   |
| File-name: 	  cr1.5_dataset.do		   |
| Purpose: 	   	 Creating LSMS Panel		   |
| Author:  Georgios A. Panos                       |
| Contact: gpanos@worldbank.org			   |
|          gpanos@uom.gr          	   	   	   |
\-------------------------------------------------*/ 

/*------------------options---------------------*/
#delimit ; 
clear; 
set more off; 
set memory 100m; 
capture log close; 
* set trace on; 
/*------------------ paths ---------------------*/;
local path1 C:\Bosnia_Project\DATA; 
local path2 C:\Bosnia_Project\Log-files;  
local path3 C:\Bosnia_Project\DATA\Original;  
/*------------- permanent files ----------------*/;
local dsn1 file1; 		/* - Individual file with some demographic information - */; 
local dsn2 file2; 		/* - Householfd file with household consumtion information - */; 
local dsn3 file3; 		/* - Individual file with full information - */; 
local dsn4 file_hist; 		/* - Individual file with job history of people who changed activities - */; 
/*--------------- tempfiles --------------------*/;
tempfile tmp1; tempfile tmp2; tempfile tmp3; tempfile tmp4; 	
/*----------------------------------------------*/;
cd "`path2'"; log using cr_dataset.log, append; 
cd "`path3'"; 
use `dsn1', clear; sort hid wave; save `dsn1', replace; clear; 
use `dsn2', clear; sort hid wave; save `dsn2', replace; clear; 
use `dsn3', clear; sort pid wave; save `dsn3', replace; clear; 
use `dsn4', clear; gen new_comer=1; sort pid wave; save `dsn4', replace; clear; 

use `dsn1', clear; merge hid wave using `dsn2'; xttab _merge; xtdes; rename _merge merge1; sort pid wave;   
merge pid wave using `dsn3'; xttab _merge; xtdes; rename _merge merge2; drop pid2 hid2; sort pid wave; 
merge pid wave using `dsn4'; xttab _merge; xtdes; rename _merge merge3; drop pid2; sort pid wave;  
encode pid, gen(pid2); encode hid, gen(hid2); 
drop if pid2==.; drop merge1 merge2 merge3; drop if pid==pid[_n+1] & year==year[_n+1]; 
iis pid2; tis wave; xtdes; 
cd "`path1'"; save BiH_Panel.dta, replace;   
log close; clear; 
 
